#include "TfileTexture.h"

TfileTexture::~TfileTexture()
{
}

TfileTexture::TfileTexture(LPDIRECT3DDEVICE9 d) : Ttexture(d)
{
}

TfileTexture::TfileTexture(LPDIRECT3DDEVICE9 pd3dDevice, const char* filename)  : Ttexture(pd3dDevice)
{
	CreateD3DTexture(pd3dDevice, filename);
}

BOOL TfileTexture::CreateD3DTexture(LPDIRECT3DDEVICE9 pd3dDevice, const char* filename)
{
	HRESULT hr;
	if( FAILED( hr = D3DXCreateTextureFromFile(fD3dDevice, filename, &fTexture ) ) )
	{
		CString msg;
		msg.Format("Loading file texture: [%s] Failed!", filename);
		EchoToStatusArea(msg);
		return FALSE;
	}
	return TRUE;
}