
#include "TfireTexture.h"
#include "TfireColorPalette.h"

bool TfireTexture::CreateD3DTexture(int textureSize, int effectSize, int coolAmount)
{
	return TupwardEffect::CreateD3DTexture(textureSize, effectSize, coolAmount);
}

void TfireTexture::LoadEffectPalette()
{
	//
  	// set up the effect palette
	//
  	for (int q=0; q < kEffectPaletteSize; q++) {
    	fEffectPalette[q].peRed   = gFireEffect[0][q];
    	fEffectPalette[q].peGreen = gFireEffect[1][q];
    	fEffectPalette[q].peBlue  = gFireEffect[2][q];
    	fEffectPalette[q].peFlags = ((gFireEffect[0][q] + gFireEffect[1][q] + gFireEffect[2][q]) / 3);
  	}
}
