#pragma once

#include "TmyVertex.h"
#include "Tdrawable.h"

//
// Tpoint 
//
class Tpoint : public Tdrawable {
	SimpleObjAttr(float, PointSize)


	private:
		static TmyVertex sfV;

	protected:
		
			//
			// Override from TgraphicsObject
			//
		virtual void SetObjectD3DAttributes(Td3dDrawable&, LPDIRECT3DDEVICE9);
		virtual void DrawObjectGeom(Td3dDrawable&, LPDIRECT3DDEVICE9);
	
	public:

		static void sInitializePoint(Td3dDrawable*);

		
			//
			// from TgraphicsObject ...
			virtual bool IntersectsBound(const T2dBound &);


		virtual ~Tpoint();
		Tpoint();
};
