#include "TsmokeTexture.h"
#include "TsmokeColorPalette.h"


bool TsmokeTexture::CreateD3DTexture(int textureSize, int effectSize, int coolAmount)
{
	return TupwardEffect::CreateD3DTexture(textureSize, effectSize, coolAmount);
}

void TsmokeTexture::LoadEffectPalette()
{
	//
  	// set up the effect palette
	//
  	for (int q=0; q < kEffectPaletteSize; q++) {
    	fEffectPalette[q].peRed   = gSmokeEffect[0][q];
    	fEffectPalette[q].peGreen = gSmokeEffect[1][q];
    	fEffectPalette[q].peBlue  = gSmokeEffect[2][q];
    	fEffectPalette[q].peFlags = 0;
  	}
}
