#include "Tvaluator.h"

void Tvaluator::InitializeValuator(float min, float max, float minValue, float maxValue)
{
	fMin = min;
	fMax = max;
	fMinValue = minValue;
	fScale = ((maxValue-minValue)/(fMax-fMin));
}

float Tvaluator::GetValue(float v) const 
{
	float returnV;
	if (v < fMin)
		v = fMin;
	else
		if (v > fMax)
			v = fMax;
		
	returnV = fMinValue + (fScale * (v - fMin));
	return returnV;
}
