#include "Tworld.h"

void Tworld::SetSmokeLocation()
{
	#define FUEL_SIZE 1024
	D3DXVECTOR3 pos[FUEL_SIZE];
	int rangeX = kSmokeTextureSize;
	int rangeY = kSmokeTextureSize;

	for (int i=0; i<FUEL_SIZE; i++) {
		pos[i].x = RandomNumber(0, rangeX);
		pos[i].y = RandomNumber(0, rangeY);

		if (pos[i].x < 0)
			pos[i].x = 0;
		if (pos[i].x >= kSmokeTextureSize)
			pos[i].x = kSmokeTextureSize - 1;

		if (pos[i].y < 0)
			pos[i].y = 0;
		if (pos[i].y >= kSmokeTextureSize)
			pos[i].y = kSmokeTextureSize - 1;
	}

	fSmoke1.SetFuelSource(pos, FUEL_SIZE);
	fSmoke1.SetFuelDuration(200);

	fSmoke2.SetFuelSource(pos, FUEL_SIZE);
	fSmoke2.SetFuelDuration(200);
}
