#pragma once

#include "TsliderCtrlWithEcho.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// TtextureControl dialog

class Td3dDrawable;
class Tworld;

class TtextureControl : public CDialog
{
// Construction
public:
	TtextureControl(CWnd* pParent = NULL);   // standard constructor

	enum { IDD = IDD_TEXTURE_INFO };

	
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();


// Implementation
protected:
	DECLARE_MESSAGE_MAP()



public:

	void			SetDrawables(Td3dDrawable *d1, Td3dDrawable *d2) { fd1 = d1; fd2 = d2; }
	void			SetWorld(Tworld *w) { fWorld = w; }

private:

	TsliderCtrlWithEcho	m_TextureIndexSlider;

	CString m_TextureIndexEcho;

	BOOL m_TextureEnabled;
	BOOL m_TransparencyEnabled;


	Td3dDrawable	*fd1, *fd2;
	Tworld			*fWorld;

public:

	afx_msg void OnNMCustomdrawTextureIndex(NMHDR *pNMHDR, LRESULT *pResult);
	
	afx_msg void OnDrawCircle();
	afx_msg void OnDrawRectangle();
	afx_msg void OnBnClickedDrawNormRectangle();

	afx_msg void OnBnClickedEnableTexture();
	afx_msg void OnBnClickedEnableTransparency();

	afx_msg void OnBnClickedDrawTexture();
	afx_msg void OnBnClickedFireTexture();
	afx_msg void OnBnClickedSmokeTexture();
};