#include "Tworld.h"

void Tworld::SetFireLocation()
{
	#define FUEL_SIZE 1024
	D3DXVECTOR3 pos[FUEL_SIZE];
	int rangeX = kFireTextureSize;
	int rangeY = kFireTextureSize;

	for (int i=0; i<FUEL_SIZE; i++) {
		pos[i].x = RandomNumber(0, rangeX);
		pos[i].y = RandomNumber(0, rangeY);

		if (pos[i].x < 0)
			pos[i].x = 0;
		if (pos[i].x >= kFireTextureSize)
			pos[i].x = kFireTextureSize - 1;

		if (pos[i].y < 0)
			pos[i].y = 0;
		if (pos[i].y >= kFireTextureSize)
			pos[i].y = kFireTextureSize - 1;
	}

	fFire1.SetFuelSource(pos, FUEL_SIZE);
	fFire1.SetFuelDuration(200);

	fFire2.SetFuelSource(pos, FUEL_SIZE);
	fFire2.SetFuelDuration(200);
}
