#include "Tworld.h"

void
Tworld::InitObject(float x, float y)
{
	switch (fObjectType) {
		case eDrawCircle:
				fCurrentObj = new Tcircle;
					fCurrentObj->SetDrawColor(D3DXCOLOR(1, 0, 0, 0));
				break;
		case eDrawRectangle:
				fCurrentObj = new Trectangle;
				fCurrentObj->SetDrawColor(D3DXCOLOR(0, 1, 0, 0));
				break;

		case eDrawNormRectangle:
				fCurrentObj = new TnormRectangle;
				fCurrentObj->SetDrawColor(D3DXCOLOR(0, 0, 1, 0));
				break;
	}
	D3DXVECTOR3 p(x, y, 0);
	fCurrentObj->SetFirstPosition(p);

	SetTextureTo(fTextureEnabled); 
	SetTransparencyTo(fTransparencyEnabled);
	SetTextureIndexTo(fTextureIndex);

	fAllObject.InsertObject(fCurrentObj);
}

void
Tworld::DrawObjectTo(float x, float y)
{
	D3DXVECTOR3 p(x, y, 0);
	fCurrentObj->SetSecondPosition(p);
}

void
Tworld::CompleteObjectAt(float x, float y)
{
	D3DXVECTOR3 p(x, y, 0);
	fCurrentObj->SetSecondPosition(p);
}

void
Tworld::MoveObjectTo(float x, float y)
{
	D3DXVECTOR3 p(x, y, 0);
	fCurrentObj->GetXformInfo().SetMoveTo(p);
}

